# Generated by Django 5.0.3 on 2025-01-29 01:49

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="AIProvider",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        help_text="AI provider name (e.g., OpenAI, DeepSeek, Mistral)",
                        max_length=50,
                        unique=True,
                    ),
                ),
                (
                    "base_url",
                    models.URLField(
                        blank=True, help_text="Base API URL for the provider", null=True
                    ),
                ),
                (
                    "description",
                    models.TextField(
                        blank=True, help_text="Description of the provider", null=True
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="AIAssistant",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        help_text="Assistant name", max_length=100, unique=True
                    ),
                ),
                (
                    "description",
                    models.TextField(
                        blank=True,
                        help_text="Assistant's behavior/system role",
                        null=True,
                    ),
                ),
                (
                    "model_name",
                    models.CharField(
                        help_text="Model name (e.g., gpt-4, deepseek-chat, mistral-7B)",
                        max_length=100,
                    ),
                ),
                (
                    "api_key",
                    models.CharField(
                        help_text="API key for accessing AI services", max_length=200
                    ),
                ),
                (
                    "provider",
                    models.ForeignKey(
                        help_text="AI model provider",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="pxy_langchain.aiprovider",
                    ),
                ),
            ],
        ),
    ]
